<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__rtc" kind="group">
    <compoundname>group_hal_impl_rtc</compoundname>
    <title>RTC (Real Time Clock)</title>
    <briefdescription>
<para>Internally the PSoC 6 RTC only stores the year as a two digit BCD value (0-99); no century information is stored. </para>    </briefdescription>
    <detaileddescription>
<para>On RTC initialization the HAL must, as a result, assume a default century. If cyhal_rtc_write has been called with a different century than the default, its value must be stored and that value must persist through deep sleep, hibernate, software resets, etc. PSoC 6 hardware provides a number of BREG registers which exist in the BACKUP domain and will persist over these power modes and resets. The HAL uses the highest indexed BACKUP-&gt;BREG register to store the century for the RTC.</para><para>Therefore do not use the highest indexed BACKUP-&gt;BREG register as it is reserved for internal HAL usage. </para>    </detaileddescription>
  </compounddef>
</doxygen>